version: '3.9'

services:

  audio-analyzer:
    image: mpai-audio-analyzer
    build: ./audio-analyzer
    ports:
      - "${AUDIO_ANALYSER_PORT}:50051"
    volumes:
      - ${DATA_VOLUME}:/data

  video-analyzer:
    image: mpai-video-analyzer
    build: ./video-analyzer
    ports:
      - "${VIDEO_ANALYSER_PORT}:50051"
    volumes:
      - ${DATA_VOLUME}:/data

  tape-irregularity-classifier:
    image: mpai-tape-irregularity-classifier
    build: ./tape-irregularity-classifier
    ports:
      - "${TAPE_IRREGULARITY_PORT}:50051"
    volumes:
      - ${DATA_VOLUME}:/data

  tape-audio-restoration:
    image: mpai-tape-audio-restoration
    build: ./tape-audio-restoration
    ports:
      - "${TAPE_AUDIO_RESTORATION_PORT}:50051"
    volumes:
      - ${DATA_VOLUME}:/data

  # packager:
  #   image: mpai-packager
  #   build: ./packager
  #   ports:
  #     - "${PACKAGER_PORT}:50051"
  #   volumes:
  #     - ${DATA_VOLUME}:/data

volumes:
  data:
